### Function

# PangoCairo show_glyph_item

since: 1.22

#### Declaration [src]

    void
    pango_cairo_show_glyph_item (
      cairo_t* cr,
      const char* text,
      PangoGlyphItem* glyph_item
    )

#### Description [src]

Draws the glyphs in `glyph_item` in the specified cairo context,

embedding the text associated with the glyphs in the output if the output format supports it (PDF for example), otherwise it acts similar to `pango_cairo_show_glyph_string()`.

The origin of the glyphs (the left edge of the baseline) will be drawn at the current point of the cairo context.

Note that `text` is the start of the text for layout, which is then indexed by `glyph_item->item->offset`.

Available since: 1.22

#### Parameters

`cr`

  Type: `cairo_t`

  A Cairo context.

  The data is owned by the caller of the function.

`text`

  Type: `const char*`

  The UTF-8 text that `glyph_item` refers to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`glyph_item`

  Type: `PangoGlyphItem`

  A `PangoGlyphItem`

  The data is owned by the caller of the function.